Subject: bug#68467: 29.1; Fringe fonts + hidpi

From: Po Lu <[email-masked]>
Date: Mon, 22 Jan 2024 22:25:58 +0800

Samuel Kyletoft <[email-masked]> writes:

> I had a very vim-mindset when writing the initial report and didn't
> even consider that it could be an image rather than a character
> in a custom font. But yes, I guess I do mean the bitmaps. But setting
> `(set-face-attribute 'fringe nil :font "Cascadia Code" :height 220)`
> will scale it correctly, so it can scale it if set explicitly, it just won't
> do it automatically.

I think you are misinterpreting the changes to the fringe effected by
this function call: the bitmaps is not scaled, but the width of the
fringe and the distance between adjacent bitmaps increases.